Tartalom
Index 🔎︎

# Logikai függvények

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

Ennek a parancsnak az eléréséhez...

Válassza a Beszúrás - Függvény - Kategória: Logikai lehetőséget.

## HA

Egy logikai vizsgálatot végez el.

#### Syntax

HA(teszt; akkor_érték; különben_érték)

A teszt egy tetszőleges érték, illetve kifejezés, amely IGAZ vagy HAMIS értéket vehet fel.

Az akkor_érték (opcionális) az eredményül adott érték, ha a logikai vizsgálat eredménye IGAZ.

A különben_érték (opcionális) az eredményül adott érték, ha a logikai vizsgálat eredménye HAMIS.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

#### Example

A =HA(A1>5;100;"túl kicsi") példában, ha az A1 cellában található érték nagyobb 5-nél, akkor a 100 lesz beírva az aktuális cellába, egyébként (idézőjelek nélkül) a „túl kicsi” szöveg jelenik meg.

## HAMIS

A HAMIS logikai értéket adja vissza. A HAMIS() függvénynek nincsenek argumentumai, és mindig a logikai HAMIS értéket adja vissza.

#### Syntax

HAMIS()

#### Example

A =HAMIS() képlet a HAMIS értéket adja vissza.

A =NEM(HAMIS()) képlet az IGAZ értéket adja vissza.

## IGAZ

Az IGAZ logikai értéket adja vissza. Az IGAZ() függvénynek nincsenek argumentumai, és mindig a logikai IGAZ értéket adja vissza.

#### Syntax

IGAZ()

#### Example

Legyen A=IGAZ és B=HAMIS. Ekkor:

Az =ÉS(A;B) képlet HAMIS értéket ad vissza.

A =VAGY(A;B) képlet IGAZ értéket ad vissza.

A =NEM(ÉS(A;B)) képlet IGAZ értéket ad vissza.

## NEM

Invertál egy logikai értéket.

#### Syntax

NEM(logikai_érték)

A logikai_érték tetszőleges, ellentettjére állítható érték.

#### Example

A =NEM(A) képlet esetén, ha A=IGAZ, akkor NEM(A) HAMIS lesz.

## VAGY

Ez a függvény IGAZ értéket ad vissza, ha legalább egy argumentuma IGAZ. A HAMIS értéket adja vissza, ha minden argumentum logikai értéke HAMIS.

Az argumentumok vagy logikai kifejezések maguk is (IGAZ, 1<5, 2+3=7, B8<10), amelyek logikai értékeket adnak vissza, vagy tömbök (A1:C3), amelyek logikai értékeket tartalmaznak.

#### Syntax

VAGY(logikai_érték_1; logikai_érték_2; ...logikai_érték_30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range.

#### Example

A program a 12<11; 13>22 és 45=45 logikai értéket fogja ellenőrizni.

A =VAGY(12<11;13>22;45=45) képlet IGAZ értéket ad vissza.

A =VAGY(HAMIS;IGAZ) képlet IGAZ értéket ad vissza.

## XVAGY

Igaz értéket ad vissza, ha páratlan számú argumentum IGAZ értékre értékelhető ki.

Az argumentumok vagy logikai kifejezések maguk is (IGAZ, 1<5, 2+3=7, B8<10), amelyek logikai értékeket adnak vissza, vagy tömbök (A1:C3), amelyek logikai értékeket tartalmaznak.

This function is available since LibreOffice 4.0

#### Syntax

XVAGY(logikai_érték_1; logikai_érték_2; ...logikai_érték_30)

#### Example

Az =XVAGY(IGAZ;IGAZ) képlet HAMIS értéket ad vissza

Az =XVAGY(IGAZ;IGAZ;IGAZ) képlet IGAZ értéket ad vissza

Az =XVAGY(HAMIS;IGAZ) képlet IGAZ értéket ad vissza

## ÉS

IGAZ értéket ad vissza, ha minden argumentuma IGAZ. Ha az egyik elem HAMIS, ez a függvény a HAMIS értéket adja vissza.

Az argumentumok vagy logikai kifejezések maguk is (IGAZ, 1<5, 2+3=7, B8<10), amelyek logikai értékeket adnak vissza, vagy tömbök (A1:C3), amelyek logikai értékeket tartalmaznak.

#### Syntax

ÉS(logikai_érték_1; logikai_érték_2; ...logikai_érték_30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range. The result is TRUE if the logical value in all cells within the cell range is TRUE.

#### Example

A program a 12<13; 14>12 és 7<6 logikai értéket fogja ellenőrizni.

Az =ÉS(12<13;14>12;7<6) képlet HAMIS értéket ad vissza.

Az =ÉS(HAMIS;IGAZ) képlet HAMIS értéket ad vissza.

Kapcsolódó témakörök

Függvények kategória szerint